HACKRF_OPERACAKE(1)

NAME
hackrf_operacake - control of operacake board via hackrf

Specify either list, mode, or GPIO test option.

DESCRIPTION

  Usage:

-h, --help: this help

-d, --device <n>: specify a particular device by serial number

-o, --address <n>: specify a particular operacake by address [default: 0x00]

-m, --mode <mode>: specify switching mode [options: manual, frequency, time]

-a <port>: set port connected to port A0

-b <port>: set port connected to port B0

-f <min:max:port>: automatically assign <port> for range <min:max> in MHz This argument can be repeated to specify a list of ports.

-t <port:dwell>: in time mode, dwell on <port> for <dwell> samples. Specify only <port> to use the default dwell time (with -w). This argument can be repeated to specify a list of ports.

-w <n>: set default dwell time in samples for time mode

-l, --list: list available Opera Cake boards

-g, --gpio_test: test GPIO functionality of an Opera Cake

SEE ALSO
The primary source of documentation is the wiki on github:

https://github.com/mossmann/hackrf/wiki